/* eslint-env node */
/* eslint-disable */

const {
    getDefaultConfig
} = require("expo/metro-config");
const path = require("path");

const root = path.resolve(__dirname, "../..");
const source = path.resolve(__dirname, "../src");

const config = getDefaultConfig(__dirname);

config.watchFolders = [
    root,
    source
];

config.resolver.extraNodeModules = {
    "ncore-ui-kit": path.resolve(root, "src"),
    "node_modules": path.resolve(root, "node_modules")
};

config.resolver.nodeModulesPaths = [
    path.resolve(root, "node_modules")
];

config.resolver.disableHierarchicalLookup = true;

module.exports = config;
